/*
 * Dzienny i nocny test fotokomórki
 *
 * Rick Anderson
 *
 */

#include <ArduinoTestSuite.h>
const int ledPin = 11;
const int photocell = A0;
void setup()
{
  // Konfiguracja obwodu
  pinMode(ledPin, OUTPUT);
  // Konfiguracja testu
  ATS_begin("Arduino", "Dzienny i nocny test fotokomorki");

  testNight();
  testDay();

  ATS_end();
}

void testNight()
{
  boolean result = false;
  int brightness;
  analogWrite(ledPin, 0);
  brightness = analogRead(A0);
  if (brightness == 0)
  {
    result = true;
  }
  ATS_PrintTestStatus("1. Nocny test: ", result);
}

void testDay()
{
  boolean result = false;
  int brightness;
  analogWrite(ledPin, 192);
  brightness = analogRead(A0);
  if (brightness >= 750)
  {
    result = true;
  }
  ATS_PrintTestStatus("2. Dzienny test: ", result);
}


void loop()
{
}


